Package org.gradle.plugins.ear

## Class EarPluginConvention

- java.lang.Object
- - org.gradle.plugins.ear.EarPluginConvention

-     public abstract class EarPluginConvention
      extends Object

  Ear Plugin Convention.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EarPluginConvention()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `appDirName​(String appDirName)` | Allows changing the application directory.
    `abstract EarPluginConvention` | `deploymentDescriptor​(Closure configureClosure)` | Configures the deployment descriptor for this EAR archive.
    `abstract EarPluginConvention` | `deploymentDescriptor​(Action<? super DeploymentDescriptor> configureAction)` | Configures the deployment descriptor for this EAR archive.
    `abstract String` | `getAppDirName()` | The name of the application directory, relative to the project directory.
    `abstract DeploymentDescriptor` | `getDeploymentDescriptor()` | A custom deployment descriptor configuration.
    `abstract Property<Boolean>` | `getGenerateDeploymentDescriptor()` | Specifies if the deploymentDescriptor should be generated if it does not exist.
    `abstract String` | `getLibDirName()` | The name of the library directory in the EAR file.
    `abstract void` | `libDirName​(String libDirName)` | Allows changing the library directory in the EAR file.
    `abstract void` | `setAppDirName​(String appDirName)` |
    `abstract void` | `setDeploymentDescriptor​(DeploymentDescriptor deploymentDescriptor)` |
    `abstract void` | `setLibDirName​(String libDirName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EarPluginConvention

          public EarPluginConvention()

  - ### Method Detail

    - #### getAppDirName

          public abstract String getAppDirName()

      The name of the application directory, relative to the project directory. Default is "src/main/application".

    - #### setAppDirName

          public abstract void setAppDirName​(String appDirName)

    - #### appDirName

          public abstract void appDirName​(String appDirName)

      Allows changing the application directory. Default is "src/main/application".

    - #### getLibDirName

          public abstract String getLibDirName()

      The name of the library directory in the EAR file. Default is "lib".

    - #### setLibDirName

          public abstract void setLibDirName​(String libDirName)

    - #### libDirName

          public abstract void libDirName​(String libDirName)

      Allows changing the library directory in the EAR file. Default is "lib".

    - #### getGenerateDeploymentDescriptor

          @Incubating
          public abstract Property<Boolean> getGenerateDeploymentDescriptor()

      Specifies if the deploymentDescriptor should be generated if it does not exist. Default is true.
      Since:
        6.0

    - #### getDeploymentDescriptor

          public abstract DeploymentDescriptor getDeploymentDescriptor()

      A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

    - #### setDeploymentDescriptor

          public abstract void setDeploymentDescriptor​(DeploymentDescriptor deploymentDescriptor)

    - #### deploymentDescriptor

          public abstract EarPluginConvention deploymentDescriptor​(Closure configureClosure)

      Configures the deployment descriptor for this EAR archive.

      The given closure is executed to configure the deployment descriptor. The `DeploymentDescriptor` is passed to the closure as its delegate.

      Parameters:
        `configureClosure` - The closure.
      Returns:
        This.

    - #### deploymentDescriptor

          public abstract EarPluginConvention deploymentDescriptor​(Action<? super DeploymentDescriptor> configureAction)

      Configures the deployment descriptor for this EAR archive.

      The given action is executed to configure the deployment descriptor.

      Parameters:
        `configureAction` - The action.
      Returns:
        This.
      Since:
        3.5